## org.apache.poi.hwpf.model
Class PICFAndOfficeArtData

    java.lang.Object
      org.apache.poi.hwpf.model.PICFAndOfficeArtData

    @Internal
    public class PICFAndOfficeArtData

extends java.lang.Object

Constructor Summary
`PICFAndOfficeArtData(byte[] dataStream, int startOffset)`

Method Summary
`java.util.List<EscherRecord>` `getBlipRecords()`
`PICF` `getPicf()`
`EscherContainerRecord` `getShape()`
`byte[]` `getStPicName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PICFAndOfficeArtData

    public PICFAndOfficeArtData(byte[] dataStream,
                                int startOffset)

Method Detail

### getBlipRecords

    public java.util.List<EscherRecord> getBlipRecords()

### getPicf

    public PICF getPicf()

### getShape

    public EscherContainerRecord getShape()

### getStPicName

    public byte[] getStPicName()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.